import { select, range } from 'd3';
import { fruitBowl } from './fruitbowl.js';

const svg = select('svg');

const render = () => {
 	fruitBowl(svg, { fruits, height: +svg.attr('height') }) 
}

const makeFruit = type => ({type});
let fruits = range(5)
.map(() => makeFruit('apple'));
     
render ();

// Eat an apple
setTimeout(() => {
 	fruits.pop();
  render();
}, 1000);

// Replace apple with lemon
setTimeout(() => {
	fruits[2].type = 'lemon';
  render();
}, 2000);      


svg.selectAll('cicle').data(fruits)
	.enter().append('circle')
		.attr('cx', (d,i) => i*120+60)
		.attr('cy', height / 2)
		.attr('fill', '#8c0601')
		.attr('r', 50);

//eat an apple
fruits.pop();

svg.selectAll('circle').data(fruits)
	.exit().remove();

